<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
<!--begin::Head-->

<head>
    <base href="">
    <meta charset="utf-8" />
    <title><?php echo @$title . ' | '; ?>{{ config('app.name', '') }}</title>
    <!-- CSRF Token -->
    <meta name="csrf-token" content="{{ csrf_token() }}">
    <meta name="description" content="{{ config('app.name', '') }}" />
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Poppins:300,400,500,600,700" />
    <link href="{{ asset('assets/admin/plugins/custom/datatables/datatables.bundle.css?v=7.0.3') }}" rel="stylesheet"
        type="text/css" />
    <link href="{{ asset('assets/admin/plugins/custom/fullcalendar/fullcalendar.bundle.css?v=7.0.3') }}" rel="stylesheet"
        type="text/css" />
    <link href="{{ asset('assets/admin/plugins/global/plugins.bundle.css?v=7.0.3') }}" rel="stylesheet" type="text/css" />
    <link href="{{ asset('assets/admin/plugins/custom/prismjs/prismjs.bundle.css?v=7.0.3') }}" rel="stylesheet"
        type="text/css" />
    <link href="{{ asset('assets/admin/css/style.bundle.css?v=7.0.3') }}" rel="stylesheet" type="text/css" />
    <link rel="shortcut icon" href="{{ asset('assets/admin/media/logos/favicon.ico') }}" />
</head>
<!--end::Head-->
<!--begin::Body-->

<body id="kt_body" style="background-image: url({{ asset('assets/admin/media/bg/bg-10.jpg') }})"
    class="quick-panel-right demo-panel-right offcanvas-right header-fixed subheader-enabled page-loading">
    <!--begin::Main-->
    <!--begin::Header Mobile-->
    <div id="kt_header_mobile" class="header-mobile">
        <!--begin::Logo-->
        <a href="{{ url('/') }}">
            <img alt="Logo" src="{{ asset('assets/admin/media/logos/logo-letter-1.png') }}"
                class="logo-default max-h-30px" />
        </a>
        <!--end::Logo-->
        <!--begin::Toolbar-->
        <div class="d-flex align-items-center">
            <button class="btn p-0 burger-icon burger-icon-left ml-4" id="kt_header_mobile_toggle">
                <span></span>
            </button>
            <button class="btn btn-icon btn-hover-transparent-white p-0 ml-3" id="kt_header_mobile_topbar_toggle">
                <span class="svg-icon svg-icon-xl">
                    <!--begin::Svg Icon | path:assets/media/svg/icons/General/User.svg-->
                    <svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="24px"
                        height="24px" viewBox="0 0 24 24" version="1.1">
                        <g stroke="none" stroke-width="1" fill="none" fill-rule="evenodd">
                            <polygon points="0 0 24 0 24 24 0 24" />
                            <path
                                d="M12,11 C9.790861,11 8,9.209139 8,7 C8,4.790861 9.790861,3 12,3 C14.209139,3 16,4.790861 16,7 C16,9.209139 14.209139,11 12,11 Z"
                                fill="#000000" fill-rule="nonzero" opacity="0.3" />
                            <path
                                d="M3.00065168,20.1992055 C3.38825852,15.4265159 7.26191235,13 11.9833413,13 C16.7712164,13 20.7048837,15.2931929 20.9979143,20.2 C21.0095879,20.3954741 20.9979143,21 20.2466999,21 C16.541124,21 11.0347247,21 3.72750223,21 C3.47671215,21 2.97953825,20.45918 3.00065168,20.1992055 Z"
                                fill="#000000" fill-rule="nonzero" />
                        </g>
                    </svg>
                    <!--end::Svg Icon-->
                </span>
            </button>
        </div>
        <!--end::Toolbar-->
    </div>
    <!--end::Header Mobile-->
    <div class="d-flex flex-column flex-root">
        <!--begin::Page-->
        <div class="d-flex flex-row flex-column-fluid page">
            <!--begin::Wrapper-->
            <div class="d-flex flex-column flex-row-fluid wrapper" id="kt_wrapper">
                <!--begin::Header-->
                <div id="kt_header" class="header header-fixed">
                    <!--begin::Container-->
                    <div class="container d-flex align-items-stretch justify-content-between">
                        <!--begin::Left-->
                        <div class="d-flex align-items-stretch mr-3">
                            <!--begin::Header Logo-->
                            <div class="header-logo">
                                <a href="{{ url('admin') }}">
                                    <img alt="Logo" src="{{ asset('assets/admin/media/logos/logo-letter-9.png') }}"
                                        class="logo-default max-h-40px" />
                                    <img alt="Logo" src="{{ asset('assets/admin/media/logos/logo-letter-1.png') }}"
                                        class="logo-sticky max-h-40px" />
                                </a>
                            </div>
                            <!--end::Header Logo-->
                            <!--begin::Header Menu Wrapper-->
                            <div class="header-menu-wrapper header-menu-wrapper-left" id="kt_header_menu_wrapper">
                                <!--begin::Header Menu-->
                                <div id="kt_header_menu"
                                    class="header-menu header-menu-left header-menu-mobile header-menu-layout-default">
                                    <!--begin::Header Nav-->
                                    <ul class="menu-nav">
                                        <li class="menu-item menu-item-open <?php echo $menu == 'admin' ? 'menu-item-here' : ''; ?>"><a href="{{ url('admin') }}" class="menu-link"><span class="menu-text">Home</span><i class="menu-arrow"></i></a></li>
                                        <li class="menu-item menu-item-open <?php echo $menu == 'admin/faqs' ? 'menu-item-here' : ''; ?>"><a href="{{ url('admin/faqs') }}" class="menu-link"><span class="menu-text">Faqs</span><i class="menu-arrow"></i></a></li>
                                        <li class="menu-item menu-item-open <?php echo $menu == 'admin/banners' ? 'menu-item-here' : ''; ?>"><a href="{{ url('admin/banners') }}" class="menu-link"><span class="menu-text">Banners</span><i class="menu-arrow"></i></a></li>
                                        <li class="menu-item menu-item-open <?php echo $menu == 'admin/plans' ? 'menu-item-here' : ''; ?>"><a href="{{ url('admin/plans') }}" class="menu-link"><span class="menu-text">Planes</span><i class="menu-arrow"></i></a></li>
                                        <li class="menu-item menu-item-open <?php echo $menu == 'admin/soporte' ? 'menu-item-here' : ''; ?>"><a href="{{ url('admin/soporte') }}" class="menu-link"><span class="menu-text">Soporte</span><i class="menu-arrow"></i></a></li>
                                        <li class="menu-item menu-item-open <?php echo $menu == 'admin/users' ? 'menu-item-here' : ''; ?>"><a href="{{ url('admin/users') }}" class="menu-link"><span class="menu-text">Usuarios</span><i class="menu-arrow"></i></a></li>
                                        <li class="menu-item menu-item-open <?php echo $menu == 'admin/payments' ? 'menu-item-here' : ''; ?>"><a href="{{ url('admin/payments') }}" class="menu-link"><span class="menu-text">Pagos</span><i class="menu-arrow"></i></a></li>
                                    </ul>
                                    <!--end::Header Nav-->
                                </div>
                                <!--end::Header Menu-->
                            </div>
                            <!--end::Header Menu Wrapper-->
                        </div>
                        <!--end::Left-->
                        <!--begin::Topbar-->
                        <div class="topbar">
                            <!--begin::Search-->

                            <!--begin::User-->
                            <div class="dropdown">
                                <!--begin::Toggle-->
                                <div class="topbar-item" data-toggle="dropdown" data-offset="0px,0px">
                                    <div
                                        class="btn btn-icon btn-hover-transparent-white d-flex align-items-center btn-lg px-md-2 w-md-auto">
                                        <span
                                            class="text-white opacity-70 font-weight-bold font-size-base d-none d-md-inline mr-1">Hola,</span>
                                        <span
                                            class="text-white opacity-90 font-weight-bolder font-size-base d-none d-md-inline mr-4">{{ Auth::user()->name }}</span>
                                        <span class="symbol symbol-35">
                                            <span
                                                class="symbol-label text-white font-size-h5 font-weight-bold bg-white-o-30"><i
                                                    class="la la-cog"></i></span>
                                        </span>
                                    </div>
                                </div>
                                <!--end::Toggle-->
                                <!--begin::Dropdown-->
                                <div
                                    class="dropdown-menu p-0 m-0 dropdown-menu-right dropdown-menu-anim-up dropdown-menu-lg p-0">
                                    <!--begin::Header-->
                                    <div class="d-flex align-items-center p-8 rounded-top">
                                        <!--begin::Symbol-->
                                        <div class="symbol symbol-md bg-light-primary mr-3 flex-shrink-0">
                                            <?php $img_foto = !empty(Auth::user()->photo) ? Auth::user()->photo : asset('assets/admin/media/blank.png'); ?>
                                            <img src="{{ $img_foto }}" alt="" />
                                        </div>
                                        <!--end::Symbol-->
                                        <!--begin::Text-->
                                        <div class="text-dark m-0 flex-grow-1 mr-3 font-size-h5">
                                            {{ Auth::user()->name }}</div>
                                        <span
                                            class="label label-light-success label-lg font-weight-bold label-inline">{{ Auth::user()->email }}</span>
                                        <!--end::Text-->
                                    </div>
                                    <div class="separator separator-solid"></div>
                                    <!--end::Header-->
                                    <!--begin::Nav-->
                                    <div class="navi navi-spacer-x-0 pt-5">
                                        <!--begin::Item-->
                                        <a href="{{ url('admin/profile') }}" class="navi-item px-8">
                                            <div class="navi-link">
                                                <div class="navi-icon mr-2">
                                                    <i class="flaticon2-calendar-3 text-success"></i>
                                                </div>
                                                <div class="navi-text">
                                                    <div class="font-weight-bold">Mi perfil</div>
                                                    <div class="text-muted">Información de su cuenta <span class="label label-light-danger label-inline font-weight-bold">actualizar</span></div>
                                                </div>
                                            </div>
                                        </a>
                                        <!--end::Item-->
                                        <!--begin::Item-->
                                        <a href="{{ url('admin/settings') }}" class="navi-item px-8">
                                            <div class="navi-link">
                                                <div class="navi-icon mr-2">
                                                    <i class="flaticon2-calendar-3 text-success"></i>
                                                </div>
                                                <div class="navi-text">
                                                    <div class="font-weight-bold">Configuraciones</div>
                                                    <div class="text-muted">Configuraciones de la plataforma <span class="label label-light-warning label-inline font-weight-bold">actualizar</span></div>
                                                </div>
                                            </div>
                                        </a>
                                        <!--end::Item-->
                                        <!--begin::Footer-->
                                        <div class="navi-separator mt-3"></div>
                                        <div class="navi-footer px-8 py-5">
                                            <a href="{{ url('admin/logout') }}"
                                                class="btn btn-light-primary font-weight-bold"
                                                onclick="event.preventDefault();document.getElementById('logout-form').submit();">Salir</a>
                                            <form id="logout-form" action="{{ url('admin/logout') }}" method="POST" class="d-none">@csrf</form>
                                        </div>
                                        <!--end::Footer-->
                                    </div>
                                    <!--end::Nav-->
                                </div>
                                <!--end::Dropdown-->
                            </div>
                            <!--end::User-->
                        </div>
                        <!--end::Topbar-->
                    </div>
                    <!--end::Container-->
                </div>
                <!--end::Header-->
                <!--begin::Content-->
                <div class="content d-flex flex-column flex-column-fluid" id="kt_content">
                    <!--begin::Subheader-->
                    <div class="subheader min-h-lg-175px pt-5 pb-7 subheader-transparent" id="kt_subheader">
                        <div
                            class="container d-flex align-items-center justify-content-between flex-wrap flex-sm-nowrap">
                            <!--begin::Details-->
                            <div class="d-flex align-items-center flex-wrap mr-2">
                                <!--begin::Heading-->
                                <div class="d-flex flex-column">
                                    <!--begin::Title-->
                                    <h2 class="text-white font-weight-bold my-2 mr-5"><?php echo @$c_names; ?></h2>
                                    <!--end::Title-->
                                    <!--begin::Breadcrumb-->
                                    <div class="d-flex align-items-center font-weight-bold my-2">
                                        <!--begin::Item-->
                                        <a href="<?= url('admin') ?>" class="opacity-75 hover-opacity-100"><i
                                                class="flaticon2-shelter text-white icon-1x"></i></a>
                                        <!--end::Item-->
                                        <!--begin::Item-->
                                        <span class="label label-dot label-sm bg-white opacity-75 mx-3"></span>
                                        <a href="javascript:void(0);"
                                            class="text-white text-hover-white opacity-75 hover-opacity-100"><?php echo @$title; ?></a>
                                        <!--end::Item-->
                                    </div>
                                    <!--end::Breadcrumb-->
                                </div>
                                <!--end::Heading-->
                            </div>
                            <!--end::Details-->
                            <!--begin::Toolbar-->
                            <!--<div class="d-flex align-items-center">
         <a href="#" class="btn btn-transparent-white font-weight-bold py-3 px-6 mr-2">Reports</a>
        </div>-->
                            <!--end::Toolbar-->
                        </div>
                    </div>
                    <!--end::Subheader-->
                    <!--begin::Entry-->
                    <div class="d-flex flex-column-fluid">
                        <!--begin::Container-->
                        <div class="container">
                            @yield('content')
                        </div>
                        <!--end::Container-->
                    </div>
                    <!--end::Entry-->
                </div>
                <!--end::Content-->
                <!--begin::Footer-->
                <div class="footer bg-white py-4 d-flex flex-lg-column" id="kt_footer">
                    <!--begin::Container-->
                    <div class="container d-flex flex-column flex-md-row align-items-center justify-content-between">
                        <!--begin::Copyright-->
                        <div class="text-dark order-2 order-md-1">
                            <span class="text-muted font-weight-bold mr-2">&copy; {{ config('app.name', '') }} <?php echo date('Y'); ?></span>
                        </div>
                        <!--end::Copyright-->
                        <!--begin::Nav-->
                        <!--<div class="nav nav-dark order-1 order-md-2">
        <a href="http://keenthemes.com/metronic" target="_blank" class="nav-link pr-3 pl-0">About</a>
        <a href="http://keenthemes.com/metronic" target="_blank" class="nav-link px-3">Team</a>
        <a href="http://keenthemes.com/metronic" target="_blank" class="nav-link pl-3 pr-0">Contact</a>
       </div>-->
                        <!--end::Nav-->
                    </div>
                    <!--end::Container-->
                </div>
                <!--end::Footer-->
            </div>
            <!--end::Wrapper-->
        </div>
        <!--end::Page-->
    </div>
    <!--end::Main-->
    <!--begin::Scrolltop-->
    <div id="kt_scrolltop" class="scrolltop">
        <span class="svg-icon">
            <!--begin::Svg Icon | path:assets/media/svg/icons/Navigation/Up-2.svg-->
            <svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="24px"
                height="24px" viewBox="0 0 24 24" version="1.1">
                <g stroke="none" stroke-width="1" fill="none" fill-rule="evenodd">
                    <polygon points="0 0 24 0 24 24 0 24" />
                    <rect fill="#000000" opacity="0.3" x="11" y="10" width="2" height="10" rx="1" />
                    <path
                        d="M6.70710678,12.7071068 C6.31658249,13.0976311 5.68341751,13.0976311 5.29289322,12.7071068 C4.90236893,12.3165825 4.90236893,11.6834175 5.29289322,11.2928932 L11.2928932,5.29289322 C11.6714722,4.91431428 12.2810586,4.90106866 12.6757246,5.26284586 L18.6757246,10.7628459 C19.0828436,11.1360383 19.1103465,11.7686056 18.7371541,12.1757246 C18.3639617,12.5828436 17.7313944,12.6103465 17.3242754,12.2371541 L12.0300757,7.38413782 L6.70710678,12.7071068 Z"
                        fill="#000000" fill-rule="nonzero" />
                </g>
            </svg>
            <!--end::Svg Icon-->
        </span>
    </div>
    <!--end::Scrolltop-->
    <script>
        var HOST_URL = "{{ asset('assets/admin/') }}";
    </script>
    <script>
        var KTAppSettings = {
            "breakpoints": {
                "sm": 576,
                "md": 768,
                "lg": 992,
                "xl": 1200,
                "xxl": 1200
            },
            "colors": {
                "theme": {
                    "base": {
                        "white": "#ffffff",
                        "primary": "#6993FF",
                        "secondary": "#E5EAEE",
                        "success": "#1BC5BD",
                        "info": "#8950FC",
                        "warning": "#FFA800",
                        "danger": "#F64E60",
                        "light": "#F3F6F9",
                        "dark": "#212121"
                    },
                    "light": {
                        "white": "#ffffff",
                        "primary": "#E1E9FF",
                        "secondary": "#ECF0F3",
                        "success": "#C9F7F5",
                        "info": "#EEE5FF",
                        "warning": "#FFF4DE",
                        "danger": "#FFE2E5",
                        "light": "#F3F6F9",
                        "dark": "#D6D6E0"
                    },
                    "inverse": {
                        "white": "#ffffff",
                        "primary": "#ffffff",
                        "secondary": "#212121",
                        "success": "#ffffff",
                        "info": "#ffffff",
                        "warning": "#ffffff",
                        "danger": "#ffffff",
                        "light": "#464E5F",
                        "dark": "#ffffff"
                    }
                },
                "gray": {
                    "gray-100": "#F3F6F9",
                    "gray-200": "#ECF0F3",
                    "gray-300": "#E5EAEE",
                    "gray-400": "#D6D6E0",
                    "gray-500": "#B5B5C3",
                    "gray-600": "#80808F",
                    "gray-700": "#464E5F",
                    "gray-800": "#1B283F",
                    "gray-900": "#212121"
                }
            },
            "font-family": "Poppins"
        };
    </script>
    <script src="{{ asset('assets/admin/plugins/global/plugins.bundle.js?v=7.0.3') }}"></script>
    <script src="{{ asset('assets/admin/plugins/custom/prismjs/prismjs.bundle.js?v=7.0.3') }}"></script>
    <script src="{{ asset('assets/admin/js/scripts.bundle.js?v=7.0.3') }}"></script>
    <script src="{{ asset('assets/admin/plugins/custom/fullcalendar/fullcalendar.bundle.js?v=7.0.3') }}"></script>
    <!--<script src="{{ asset('assets/admin/plugins/custom/fullcalendar/es.js') }}"></script>-->
    <script src="{{ asset('assets/admin/js/pages/widgets.js?v=7.0.3') }}"></script>
    <script src="{{ asset('assets/admin/plugins/custom/datatables/datatables.bundle.js?v=7.0.3') }}"></script>
    <script src="{{ asset('assets/admin/js/pages/crud/forms/editors/summernote.js?v=7.0.3') }}"></script>

    <script>
        (function($) {
            $.fn.datepicker.dates['es'] = {
                days: ["Domingo", "Lunes", "Martes", "Miércoles", "Jueves", "Viernes", "Sábado"],
                daysShort: ["Dom", "Lun", "Mar", "Mié", "Jue", "Vie", "Sáb"],
                daysMin: ["Do", "Lu", "Ma", "Mi", "Ju", "Vi", "Sa"],
                months: ["Enero", "Febrero", "Marzo", "Abril", "Mayo", "Junio", "Julio", "Agosto", "Septiembre",
                    "Octubre", "Noviembre", "Diciembre"
                ],
                monthsShort: ["Ene", "Feb", "Mar", "Abr", "May", "Jun", "Jul", "Ago", "Sep", "Oct", "Nov", "Dic"],
                today: "Hoy",
                monthsTitle: "Meses",
                clear: "Borrar",
                weekStart: 1,
                format: "dd/mm/yyyy"
            };
        }(jQuery));
    </script>
    <script>
        $(window).on('load', function() {
            var KTCalendarBasic = function() {
                return {
                    init: function() {
                        $('#kt_calendar').html('');
                        $('#kt_calendar').append('<div id="kt_calendar_inner"></div>');
                        var todayDate = moment().startOf('day');
                        var TODAY = todayDate.format('YYYY-MM-DD');
                        var calendarEl = document.getElementById('kt_calendar_inner');
                        var calendar = new FullCalendar.Calendar(calendarEl, {
                            plugins: ['bootstrap', 'interaction', 'dayGrid', 'timeGrid', 'list'],
                            themeSystem: 'bootstrap',
                            isRTL: KTUtil.isRTL(),
                            header: {
                                left: 'prev,next today',
                                center: 'title',
                                right: 'dayGridMonth,timeGridWeek,timeGridDay'
                            },
                            height: 800,
                            contentHeight: 780,
                            aspectRatio: 3, // see: https://fullcalendar.io/docs/aspectRatio
                            nowIndicator: true,
                            now: TODAY,
                            views: {
                                dayGridMonth: {
                                    buttonText: 'Mes'
                                },
                                timeGridWeek: {
                                    buttonText: 'Semana'
                                },
                                timeGridDay: {
                                    buttonText: 'Día'
                                }
                            },
                            defaultView: 'dayGridMonth',
                            defaultDate: TODAY,
                            editable: false,
                            eventLimit: true, // allow "more" link when too many events
                            navLinks: true,
                            //locale: 'es',//eventSource.refetch()
                            events: $('#kt_calendar').data('url') + '/' + $(
                                'input[name="plan_id"]:checked').val(),
                            eventRender: function(info) {
                                var element = $(info.el);
                                if (info.event.extendedProps && info.event.extendedProps
                                    .description) {
                                    if (element.hasClass('fc-day-grid-event')) {
                                        element.data('content', info.event.extendedProps
                                            .description);
                                        element.data('placement', 'top');
                                        KTApp.initPopover(element);
                                    } else if (element.hasClass('fc-time-grid-event')) {
                                        element.find('.fc-title').append(
                                            '<div class="fc-description">' + info.event
                                            .extendedProps.description + '</div>');
                                    } else if (element.find('.fc-list-item-title').lenght !==
                                        0) {
                                        element.find('.fc-list-item-title').append(
                                            '<div class="fc-description">' + info.event
                                            .extendedProps.description + '</div>');
                                    }
                                }
                            },
                            eventClick: function(info) {
                                var element = $(info.el);
                                //const id_itiner = info.event.id;
                                $('input[name="itinerary_id"]').val(info.event.id);
                                $.post($('#bookingIterModal').data('url'), {
                                    _token: $("meta[name='csrf-token']").attr(
                                        "content"),
                                    id: info.event.id
                                }, function(data) {
                                    $('.itineraries_description').html(data);
                                }, "html");
                                $.post($('.itiners_form').data('href'), {
                                    _token: $("meta[name='csrf-token']").attr(
                                        "content"),
                                    plan: $('input[name="plan_id"]:checked').val(),
                                    itinerary: info.event.id
                                }, function(data) {
                                    $('.seats_container').html(data);
                                    seat_load();
                                    $('#bookingIterModal').modal('show');
                                }, "html");
                            }
                        });
                        calendar.setOption('locale', 'es');
                        calendar.render();
                    }
                };
            }();
            if ($('#kt_calendar').length) {
                KTCalendarBasic.init();
            }
            //--------------------------------------------------------------------------
            //Check plan show itineraries
            if ($('.option_plan_booking_fn').length) {
                $('.option_plan_booking_fn').each(function() {
                    var item = $(this);
                    item.on('click', function(e) {
                        $.post($('.itiners_form').data('url'), {
                            _token: $("meta[name='csrf-token']").attr("content"),
                            plan: item.data('plan')
                        }, function(data) {
                            KTCalendarBasic.init();
                            //$('.itiners_container').html(data);
                            //itiners_load();
                        }, "html");
                    });
                });
            }
            if ($('.o_table_fsc').length) {
                var url_ttable = $('.o_table_fsc').data('href');
                var table_fsc = $('.o_table_fsc').DataTable({
                    "ajax": url_ttable,
                    "aLengthMenu": [
                        [10, 25, 50, 100, -1],
                        [10, 25, 50, 100, "Todos"]
                    ],
                    "iDisplayLength": 25,
                    "columnDefs": [{
                        targets: 'no-sort',
                        orderable: false
                    }],
                    "responsive": true,
                    "processing": true,
                    "ordering": true,
                    "language": {
                        "url": "//cdn.datatables.net/plug-ins/1.10.19/i18n/Spanish.json"
                    },
                });
                $('.o_table_fsc').on('xhr.dt', function(e, settings, json, xhr) {
                    new $.fn.dataTable.Api(settings).one('draw', function() {
                        var api = new $.fn.dataTable.Api(settings);
                        api.$('td .btn-delete-confirm').on('click', function(e) {
                            e.preventDefault();
                            var trash = $(this);
                            var url_trash = trash.data('href');
                            Swal.fire({
                                title: 'Estás seguro(a) que deseas eliminar ' +
                                    trash.data('itemtag') + ' ' + trash.data(
                                        'nameitem') + ' seleccionad' + trash.data(
                                        'itemselect') + '?',
                                text: 'Esta acción es irreversible!',
                                icon: "warning",
                                showCancelButton: true,
                                confirmButtonText: "Si, eliminar!",
                                cancelButtonText: "No, cancelar!",
                                reverseButtons: true,
                                customClass: {
                                    confirmButton: "btn btn-danger",
                                    cancelButton: "btn btn-default"
                                }
                            }).then(function(result) {
                                if (result.value) {
                                    var params = {};
                                    $('form.delete-form-fsc input').each(
                                        function() {
                                            var item = $(this);
                                            params[item.attr('name')] = item
                                                .val();
                                        });
                                    $.post(url_trash, params, function(data) {
                                        if (data == 'ok') {
                                            Swal.fire(
                                                "Enhorabuena!",
                                                $(
                                                    'form.delete-form-fsc'
                                                )
                                                .data('msj'),
                                                "success"
                                            );
                                        }
                                        table_fsc.ajax.reload(null, false);
                                    }, "html");
                                } else if (result.dismiss === "cancel") {}
                            });
                        });
                    });
                });
            }

            function itiners_load() {
                if ($('.itiners_check').length) {
                    $('.itiners_check').each(function() {
                        var item = $(this);
                        item.on('click', function(e) {
                            $.post($('.itiners_form').data('href'), {
                                _token: $("meta[name='csrf-token']").attr("content"),
                                plan: item.data('plan'),
                                itinerary: item.data('itinerary')
                            }, function(data) {
                                $('.seats_container').html(data);
                                seat_load();
                            }, "html");
                        });
                    });
                }
            }
            //Check seat
            function seat_load() {
                if ($('.option_seat').length) {
                    $('.option_seat').each(function() {
                        var item = $(this);
                        item.on('click', function(e) {
                            $('.symbol-seat-fsc').each(function() {
                                var sy = $(this);
                                sy.find('.symbol_fsc').removeClass('symbol-info');
                                sy.find('.symbol_fsc').addClass('symbol-success');
                                sy.find('.symbol_text_fsc').html(sy.find('.symbol_text_fsc')
                                    .data('text'));
                                sy.removeClass('symbol-seat-fsc');
                            });
                            if (item.find('input[type="radio"]').is(':checked')) {
                                if (item.find('.symbol_fsc').hasClass('symbol-success')) {
                                    item.find('.symbol_fsc').removeClass('symbol-success');
                                }
                                item.find('.symbol_fsc').addClass('symbol-info');
                                item.addClass('symbol-seat-fsc');
                                item.find('.symbol_text_fsc').html('Seleccionado');
                            }
                        });
                    });
                }
            }

            //--------------------------------------------------------------------------
			/*if($("#simpleMde").length) {
				var simplemde = new SimpleMDE({ element: $("#simpleMde")[0] });
			}*/
            if ($('[data-switch=true]').length) {
                $('[data-switch=true]').each(function() {
                    var item = $(this);
                    item.bootstrapSwitch();
                    item.on('switchChange.bootstrapSwitch', function(e, state) {
                        $.post($('.aux_parent_fsc').data('url'), {
                            _token: $("meta[name='csrf-token']").attr("content"),
                            id: e.target.id,
                            plan: e.target.name,
                            state: state
                        }, function(data) {}, "html");
                    });
                });
            }
            if ($('.datepicker_fsc').length) {
                $('.datepicker_fsc').each(function() {
                    var item_inp = $(this);
                    item_inp.datepicker({
                        language: 'es',
                        format: 'yyyy-mm-dd',
                        autoclose: true,
                        rtl: false,
                        //orientation: "bottom right",
                        orientation: "auto",
                        todayHighlight: true,
                        templates: {
                            leftArrow: '<i class="la la-angle-right"></i>',
                            rightArrow: '<i class="la la-angle-left"></i>'
                        }
                    });
                });
            }
            if ($('.money_to_fsc').length) {
                $('.money_to_fsc').each(function() {
                    var item = $(this);
                    item.html(moneycop(item.html()));
                });
            }

            function moneycop(v) {
                const options2 = {
                    style: 'currency',
                    currency: 'GTQ'
                };
                const numberFormat2 = new Intl.NumberFormat('es-GT', options2);
                return numberFormat2.format(v);
            }
            if ($('.field_float_fsc').length) {
                $('.field_float_fsc').each(function() {
                    var item_inp = $(this);
                    item_inp.on('keypress', function(e) {
                        if (e.which > 47 && e.which < 58 || e.which == 46) {
                            var ccv = item_inp.val();
                            if ((ccv.length == 0 && e.which == 46) || (ccv.length > 0 && ccv
                                    .indexOf(".") >= 0 && e.which == 46) || (ccv == '0' && e
                                    .which == 48)) {
                                e.preventDefault();
                                e.stopPropagation();
                                return false;
                            }
                            var c_num = String.fromCharCode(e.which);
                            var max_valor = item_inp.data('maxval');
                            if (max_valor != '' || max_valor != null) {
                                var total = ccv + c_num;
                                total = parseFloat(total);
                                if (max_valor < total) {
                                    e.preventDefault();
                                    e.stopPropagation();
                                    return false;
                                }
                            }
                            if (item_inp.val().indexOf(".") >= 0) {
                                var aux_fn = item_inp.val();
                                var arr_fn = aux_fn.split(".");
                                var max_dec = item_inp.data('maxdec');
                                max_dec = (max_dec != '' && max_dec != null) ? max_dec : 2;
                                if (arr_fn[1].length >= max_dec) {
                                    e.preventDefault();
                                    e.stopPropagation();
                                    return false;
                                }
                            }
                        } else {
                            e.preventDefault();
                            e.stopPropagation();
                            return false;
                        }
                    });
                });
            }
            //*****************************************************************************
            toastr.options = {
                "closeButton": true,
                "debug": false,
                "newestOnTop": false,
                "progressBar": true,
                "positionClass": "toast-top-right",
                "preventDuplicates": false,
                "onclick": null,
                "showDuration": "8000",
                "hideDuration": "1000",
                "timeOut": "8000",
                "extendedTimeOut": "1000",
                "showEasing": "swing",
                "hideEasing": "linear",
                "showMethod": "fadeIn",
                "hideMethod": "fadeOut"
            };
            @if (Session::has('msj_success'))
                msj_success_fsc("{{ session('msj_success') }}");
            @endif

            function msj_success_fsc(msj) {
                toastr.success(msj);
            }
            @if (Session::has('msj_error'))
                msj_error_fsc("{{ session('msj_error') }}");
            @endif

            function msj_error_fsc(msj) {
                toastr.error(msj);
            }
        });
        $(document).ready(function() {});
    </script>

    <script src="https://js.stripe.com/v3"></script>
    <script type="text/javascript">
        /*var stripe = Stripe("{{ env('STRIPE_KEY') }}");
                    	var checkoutButton = document.querySelector('#checkout-button');
                    	checkoutButton.addEventListener('click', function () {
                    	  stripe.redirectToCheckout({
                    		lineItems: [{
                    		  // Define the product and price in the Dashboard first, and use the price
                    		  // ID in your client-side code.
                    		  price: 'price_1KQL3QLoZTGymruwv4fJvN90',
                    		  quantity: 1
                    		}],
                    		mode: 'payment',
                    		successUrl: "{{ url('stripe') }}",
                    		cancelUrl: "{{ url('/') }}"
                    	  });
                    	});*/
    </script>

</body>
<!--end::Body-->

</html>
