@extends('layouts.auth')
@section('content')
	<!-- Main Sidebar-->
    <!-- Your Page Content Goes Here-->
    <div class="page-content header-clear-medium">
		<div class="card card-style">
		    
		    <div style="text-align: center; margin-top: 10px;">
                 <img src="<?= asset('assets/images/prest.png') ?>" alt="Prestigio Logo" style="width: 120px; height: auto;">
                    </div>

		    
			<div class="content">
				<h1 class="text-center font-800 font-30 mb-2">Iniciar sesión</h1>
				<p class="text-center font-13 mt-n2 mb-3">Ingrese sus credenciales</p>
				@if ($errors->any())
				<div class="alert alert-danger">
					<ul>
					@foreach ($errors->all() as $error)
						<li>{{ $error }}</li>
					@endforeach
					</ul>
				</div>
				@endif
				<form method="POST" action="{{ url('login') }}">
					@csrf
					<div class="form-custom form-label form-icon mb-3">
						<i class="bi bi-person-circle font-14"></i>
						<input name="email" autocomplete="off" value="{{ old('email') }}" type="text" class="form-control rounded-xs @error('email') is-invalid @enderror" id="c1" placeholder="Su correo" required />
						<label for="c1" class="color-theme">Su correo</label>
						@error('email')
						<span>{{ $message }}</span>
						@enderror
					</div>
					<div class="form-custom form-label form-icon mb-3">
						<i class="bi bi-asterisk font-12" style="cursor: pointer;"></i>
						<input name="password" type="password" class="form-control rounded-xs @error('password') is-invalid @enderror" id="c2" placeholder="Su contraseña" required />
						<label for="c2" class="color-theme">Su contraseña</label>
						@error('password')
						<span>{{ $message }}</span>
						@enderror
					</div>
					<div class="d-flex pb-2" data-trigger-switch="switch-4a">
						<div class="align-self-center"><h6 class="mb-0 font-12">Mostrar contraseña</h6></div>
						<div class="ms-auto align-self-center">
							<div class="form-switch ios-switch switch-green switch-s">
								<input type="checkbox" class="ios-input" id="switch-4a">
								<label class="custom-control-label" for="switch-4a"></label>
							</div>
						</div>
					</div>
					<button type="submit" class='btn rounded-sm btn-m gradient-green text-uppercase font-700 mt-4 mb-3 btn-full w-100 shadow-bg shadow-bg-s'>Ingresar</button>
				</form>
				<div class="d-flex">
					<div>
						<a href="{{ url('recovery') }}" class="color-theme opacity-30 font-12">Recuperar contraseña</a>
					</div>
					<div class="ms-auto">
						<a href="{{ url('register') }}" class="color-theme opacity-30 font-12">Crear una cuenta</a>
					</div>
				</div>
			</div>
		</div>
		<div class="card card-style py-3">
			<div class="content px-2 text-center">
				<h5 class="mb-n1 font-12 color-highlight font-700 text-uppercase">&copy; <?= date('Y') ?> {{ config('app.name', 'Laravel') }}</h5>
			</div>
			
			
			            <div style="text-align: center; margin-top: -8px;">
                        <a href="https://fastercapital.com" target="_blank">
                            <img class="light-image" src="<?= asset('assets/images/logoC.png') ?>" alt="Nuevo Logo" style="width: 95px; height: auto;">
                           
                        </a>
                        <p style="margin-top: -30px;">Prestigio y FasterCapital socios estratégicos a nivel mundial</p>
                    </div>

			
		</div>
    </div>
@endsection