@extends('layouts.auth')
@section('content')
    <div class="header-bar header-fixed header-app header-bar-detached">
		<a data-back-button href="{{ url('/') }}"><i class="bi bi-caret-left-fill font-11 color-theme ps-2"></i></a>
		<a href="{{ url('/') }}" class="header-title color-theme font-13">Regresar al inicio</a>
	</div>
	<!-- Footer Bar-->
    <!--<div id="footer-bar" class="footer-bar footer-bar-detached">
		<a href="index-pages.html" class="active-nav"><i class="bi bi-heart-fill font-15"></i><span>Pages</span></a>
        <a href="index-components.html" ><i class="bi bi-star-fill font-17"></i><span>Features</span></a>
        <a href="index.html"><i class="bi bi-house-fill font-16"></i><span>Home</span></a>
        <a href="index-media.html"><i class="bi bi-image font-16"></i><span>Media</span></a>
        <a href="#" data-bs-toggle="offcanvas" data-bs-target="#menu-main"><i class="bi bi-list"></i><span>Menu</span></a>
    </div>-->
	<!-- Main Sidebar-->
    <!-- Your Page Content Goes Here-->
    <div class="page-content header-clear-medium">
		<div class="card card-style">
			<div class="content">
				<h1 class="text-center font-800 font-30 mb-2">Crear cuenta</h1>
				<p class="text-center font-13 mt-n2 mb-3">Ingrese sus datos</p>
				@if ($errors->any())
				<div class="alert alert-danger">
					<ul>
					@foreach ($errors->all() as $error)
						<li>{{ $error }}</li>
					@endforeach
					</ul>
				</div>
				@endif
				<form method="POST" action="{{ url('register') }}">
					@csrf
					<div class="form-custom form-label form-icon mb-3">
						<i class="bi bi-person-circle font-14"></i>
						<input name="name" autocomplete="off" value="{{ old('name') }}" type="text" class="form-control rounded-xs @error('name') is-invalid @enderror" id="c1" placeholder="Nombre" required />
						<label for="c1" class="color-theme">Su nombre</label>
						@error('name')
						<span>{{ $message }}</span>
						@enderror
					</div>
					<div class="form-custom form-label form-icon mb-3">
						<i class="bi bi-person-circle font-14"></i>
						<input value="<?= $usemail ?>" type="email" class="form-control rounded-xs" id="c2" placeholder="Correo" disabled />
						<input name="email" type="hidden" value="<?= $usemail ?>" required>
						<label for="c2" class="color-theme">Su correo</label>
						@error('email')
						<span>{{ $message }}</span>
						@enderror
					</div>
					<div class="form-custom form-label form-icon mb-3">
						<i class="bi bi-asterisk font-12"></i>
						<input name="password" type="text" class="form-control rounded-xs @error('password') is-invalid @enderror" id="c3" placeholder="Contraseña" required />
						<label for="c3" class="color-theme">Su contraseña</label>
						@error('password')
						<span>{{ $message }}</span>
						@enderror
					</div>
					<button type="submit" class='btn rounded-sm btn-m gradient-green text-uppercase font-700 mt-4 mb-3 btn-full w-100 shadow-bg shadow-bg-s'>Registrar</button>
				</form>
			</div>
		</div>
		<div class="card card-style py-3">
			<div class="content px-2 text-center">
				<h5 class="mb-n1 font-12 color-highlight font-700 text-uppercase">&copy; <?= date('Y') ?> {{ config('app.name', 'Laravel') }}</h5>
			</div>
		</div>
    </div>
@endsection