@extends('layouts.auth')
@section('content')
    <div class="header-bar header-fixed header-app header-bar-detached">
		<a data-back-button href="{{ url('/') }}"><i class="bi bi-caret-left-fill font-11 color-theme ps-2"></i></a>
		<a href="{{ url('/') }}" class="header-title color-theme font-13">Regresar al inicio</a>
	</div>
    <div class="page-content header-clear-medium">
		<div class="card card-style">
			<div class="content">
				<h1 class="text-center font-800 font-30 mb-2">Validar correo</h1>
				<p class="text-center font-13 mt-n2 mb-3">Para registrar una nueva cuenta debe verificar su correo</p>
				@if ($errors->any())
				<div class="alert alert-danger">
					<ul>
					@foreach ($errors->all() as $error)
						<li>{{ $error }}</li>
					@endforeach
					</ul>
				</div>
				@endif
				<form method="POST">
					@csrf
					<div class="form-custom form-label form-icon mb-3">
						<i class="bi bi-person-circle font-14"></i>
						<input name="email" value="{{ old('email') }}" type="email" class="form-control rounded-xs @error('email') is-invalid @enderror" id="c2" placeholder="Correo" required />
						<label for="c2" class="color-theme">Su correo</label>
						@error('email')
						<span>{{ $message }}</span>
						@enderror
					</div>
					<button type="submit" class='btn rounded-sm btn-m gradient-green text-uppercase font-700 mt-4 mb-3 btn-full w-100 shadow-bg shadow-bg-s'>Registrar</button>
				</form>
			</div>
		</div>
		<div class="card card-style py-3">
			<div class="content px-2 text-center">
				<h5 class="mb-n1 font-12 color-highlight font-700 text-uppercase">&copy; <?= date('Y') ?> {{ config('app.name', 'Laravel') }}</h5>
			</div>
		</div>
    </div>
@endsection