<!DOCTYPE HTML>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
	<head>
		<!-- CSRF Token -->
		<meta name="csrf-token" content="{{ csrf_token() }}">
		<base href="{{ asset('/') }}">
		<title><?= $title ?> | {{ config('app.name', 'Laravel') }}</title>
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
		<meta name="apple-mobile-web-app-capable" content="yes">
		<meta name="apple-mobile-web-app-status-bar-style" content="black-translucent">
		<meta name="viewport" content="width=device-width, initial-scale=1, minimum-scale=1, maximum-scale=1, viewport-fit=cover" />
		<link rel="stylesheet" type="text/css" href="{{ asset('assets/styles/bootstrap.css') }}">
		<link rel="stylesheet" type="text/css" href="{{ asset('assets/fonts/bootstrap-icons.css') }}">
		<link rel="stylesheet" type="text/css" href="{{ asset('assets/styles/style.css') }}">
		<link rel="stylesheet" type="text/css" href="{{ asset('assets/styles/widget.css') }}">
		<link rel="preconnect" href="https://fonts.gstatic.com">
		<link href="https://fonts.googleapis.com/css2?family=Inter:wght@500;600;700;800&family=Roboto:wght@400;500;700&display=swap" rel="stylesheet">
		<link rel="manifest" href="{{ asset('assets/_manifest.json') }}">
		<meta id="theme-check" name="theme-color" content="#FFFFFF">
		<link rel="icon" type="image/png" href="{{ asset('assets/app/icons/favicon.ico') }}">
		<link rel="apple-touch-icon" sizes="180x180" href="{{ asset('assets/app/icons/icon-192x192.png') }}">
	</head>
	<body class="theme-{{ Auth::user()->theme }}">
		<div id="preloader"><div class="spinner-border color-highlight" role="status"></div></div>
		<div id="page">
			<!-- Header -->
			@if (Session::has('msj_error'))
			<div class="card card-style bg-red-dark alert-dismissible show shadow-bg shadow-bg-m fade p-0 mt-5 alert-remove-fsc">
				<div class="content my-3">
					<div class="d-flex">
						<div class="align-self-center">
							<i class="bi bi-emoji-frown-fill font-36 d-block color-white"></i>
						</div>
						<div class="align-self-center">
							<p class="color-white mb-0 font-500 font-14 ps-3 pe-4 line-height-s">
								{{ session('msj_error') }}
							</p>
						</div>
					</div>
				</div>
			</div>
			@endif
			@yield('content')
		<!-- End of Page Content-->
		</div>
		
		<!--<div class="widget-btns-fsc">
			<div class="mainopShadow-fsc-fn"></div>
			<div id="fab_fsc_fn" class="fab-fsc-fn">
			  <div class="mainop-fsc-fn" onclick="document.getElementById('fab_fsc_fn').classList.toggle('active-fsc')"><img class="img-fsc-fn" src="{{ asset('assets/images/link.png') }}"></div>
			  <a href="<?= url('extaccess/10') ?>" class="minifab-fsc-fn op10-fsc-fn"><img class="minifabIcon-fsc-fn" src="{{ asset('assets/images/10.png') }}"></a>
			  <a href="<?= url('extaccess/9') ?>" class="minifab-fsc-fn op9-fsc-fn"><img class="minifabIcon-fsc-fn" src="{{ asset('assets/images/9.png') }}"></a>
			  <a href="<?= url('extaccess/8') ?>" class="minifab-fsc-fn op8-fsc-fn"><img class="minifabIcon-fsc-fn" src="{{ asset('assets/images/8.png') }}"></a>
			  <a href="<?= url('extaccess/7') ?>" class="minifab-fsc-fn op7-fsc-fn"><img class="minifabIcon-fsc-fn" src="{{ asset('assets/images/7.png') }}"></a>
			  <a href="<?= url('extaccess/6') ?>" class="minifab-fsc-fn op6-fsc-fn"><img class="minifabIcon-fsc-fn" src="{{ asset('assets/images/6.png') }}"></a>
			  <a href="<?= url('extaccess/5') ?>" class="minifab-fsc-fn op5-fsc-fn"><img class="minifabIcon-fsc-fn" src="{{ asset('assets/images/5.png') }}"></a>
			  <a href="<?= url('extaccess/4') ?>" class="minifab-fsc-fn op4-fsc-fn"><img class="minifabIcon-fsc-fn" src="{{ asset('assets/images/4.png') }}"></a>
			  <a href="<?= url('extaccess/3') ?>" class="minifab-fsc-fn op3-fsc-fn"><img class="minifabIcon-fsc-fn" src="{{ asset('assets/images/3.png') }}"></a>
			  <a href="<?= url('extaccess/2') ?>" class="minifab-fsc-fn op2-fsc-fn"><img class="minifabIcon-fsc-fn" src="{{ asset('assets/images/2.png') }}"></a>
			  <a href="<?= url('extaccess/1') ?>" class="minifab-fsc-fn op1-fsc-fn"><img class="minifabIcon-fsc-fn" src="{{ asset('assets/images/1.png') }}"></a>
			</div>
		</div>-->
	<!--End of Page ID-->
	<script src="{{ asset('assets/scripts/bootstrap.min.js') }}"></script>
	<script src="{{ asset('assets/scripts/custom.js') }}"></script>
	<script src="https://code.jquery.com/jquery-3.6.1.min.js" integrity="sha256-o88AwQnZB+VDvE9tvIXrMQaPlFFSUTR+nldQm1LuPXQ=" crossorigin="anonymous"></script>
	<script src="https://unpkg.com/sweetalert/dist/sweetalert.min.js"></script>
	<script src="{{ asset('assets/scripts/fsc.js') }}"></script>
	<script src="{{ asset('assets/scripts/faqs.js') }}"></script>
	<script>
	if ($('.btn_act_page_sacc').length) {
        $('.btn_act_page_sacc').each(function() {
            var item = $(this);
            item.on('click', function(e) {
				e.preventDefault();
                const check = item.find('input[type="checkbox"]');
                const state = check.is(':checked')?false:true;
				$.post($('.aux_parent_fsc').data('url'), {
                    _token: $("meta[name='csrf-token']").attr("content"),
                    id: check.val(),
                    plan: check.attr('name'),
                    state: state
                }, function(data) {}, "html");
            });
        });
    }
	if($('.btn_plan_price_free').length){
		$('.btn_plan_price_free').each(function(i,v){
			var btn_item = $(this);
			btn_item.on('click',function(e){
				e.preventDefault();
				swal({
					title: 'Estás seguro(a) que deseas suscribirte al plan seleccionado?',
					text: "Esta acción es irreversible!",
					icon: "warning",
					buttons: ["Cancelar", "Si, suscribirme!"],
					dangerMode: true,
					cancelButtonColor: '#d33'
				}).then(function (willConfirm) {
					if(willConfirm){
						$('#preloader').removeClass('preloader-hide');
						$.post(btn_item.data('url'), {
							_token: $("meta[name='csrf-token']").attr("content")
						}, function(data) {
							$('#preloader').addClass('preloader-hide');
							if(data != 'ok'){
								swal('Error!',data,'error');
							} else {
								swal('Enhorabuena!','La suscripción ha sido completada correctamente','success');
							}
						}, "html");
					}
				});
			});
		});
	}
	if($('.alert-remove-fsc').length){
		setInterval(function(){ $('.alert-remove-fsc').remove(); }, 6000);
	}
	</script>
	</body>
</html>