@extends('layouts.app')
@section('content')
<div id="page">

    @include('header')

    <!-- Your Page Content Goes Here-->
	<form action="{{url($menu)}}" method="post" enctype="multipart/form-data">
	@csrf
    <div class="page-content header-clear-medium">
		@include('msj')
		<div class="card card-style">
			<div class="content mb-0">
				<h6 class="font-700 mb-n1 color-highlight">Configuración de la cuenta</h6>
				<h1 class="pb-2">Información básica</h1>
				<p>Ingrese la información basica para actualizar su perfil</p>
				@if ($errors->any())
				<div class="alert alert-danger">
					<ul>
					@foreach ($errors->all() as $error)
						<li>{{ $error }}</li>
					@endforeach
					</ul>
				</div>
				@endif

				<div class="file-data">
					<img id="image-data" src="<?= !empty(Auth::user()->photo)?Auth::user()->photo:asset('assets/images/pictures/23.jpg') ?>" class="img-fluid rounded-s" alt="img">
					<span class="upload-file-name d-block text-center"
						  data-text-before="<i class='bi bi-check-circle-fill color-green-dark pe-2'></i> Image:"
						  data-text-after=" is ready.">
					</span>
					<div>
						<input id="photo34765" name="photo" type="file" class="upload-file" accept="image/*">
						<label for="photo34765" class="btn btn-full btn-m text-uppercase font-700 font-18 rounded-s upload-file-text shadow-0 color-black">Toque aquí para cambiar la foto de perfil</label>
					</div>
				</div>

				<div class="divider"></div>

				<div class="form-custom form-label form-icon mb-3">
					<i class="bi bi-person-circle font-14"></i>
					<input type="text" class="form-control rounded-xs" id="name" name="name" placeholder="Ingrese su nombre" value="{{ isset($o->name)?$o->name:old('name') }}" required />
					<label for="name" class="color-theme form-label-always-active font-10 opacity-50">Nombre</label>
					<span>(Obligatorio)</span>
				</div>
				<div class="form-custom form-label form-icon mb-3">
					<i class="bi bi-at font-16"></i>
					<input type="email" class="form-control rounded-xs" id="email" name="email" placeholder="Ingrese su correo" value="{{ isset($o->email)?$o->email:old('email') }}" required />
					<label for="email" class="color-theme form-label-always-active font-10 opacity-50">Correo</label>
					<span>(Obligatorio)</span>
				</div>
				<div class="form-custom form-label form-icon mb-3">
					<i class="bi bi-phone font-16"></i>
					<input type="text" class="form-control rounded-xs" id="phone" name="phone" placeholder="Ingrese su teléfono" value="{{ isset($o->phone)?$o->phone:old('phone') }}" required />
					<label for="phone" class="color-theme form-label-always-active font-10 opacity-50">Teléfono</label>
					<span>(Obligatorio)</span>
				</div>
				<div class="form-custom form-label form-icon mb-3">
					<i class="bi bi-key font-16"></i>
					<input type="text" class="form-control rounded-xs" id="password" name="password" placeholder="********" required />
					<label for="password" class="color-theme form-label-always-active font-10 opacity-50">Contraseña</label>
					<span>(Obligatorio)</span>
				</div>
			</div>
		</div>
		<!--<div class="card card-style">
			<div class="content mb-2">
				<h6 class="font-700 mb-n1 color-highlight">Configura tus</h6>
				<h1 class="pb-2">Preferencias</h1>
				<p>
					Set your preferences here, these can be connected to a database and shown on the user profile.
				</p>
				<a href="#" class="d-flex pb-2" data-trigger-switch="switch-4a">
					<div class="align-self-center">
						<h6 class="mb-0 font-12">Notifications</h6>
					</div>
					<div class="ms-auto align-self-center">
						<div class="form-switch ios-switch switch-green switch-s">
							<input type="checkbox" class="ios-input" id="switch-4a" checked>
							<label class="custom-control-label" for="switch-4a"></label>
						</div>
					</div>
				</a>
				<a href="#" class="d-flex pb-2" data-trigger-switch="switch-4b">
					<div class="align-self-center">
						<h6 class="mb-0 font-12">Newsletter</h6>
					</div>
					<div class="ms-auto align-self-center">
						<div class="form-switch ios-switch switch-green switch-s">
							<input type="checkbox" class="ios-input" id="switch-4b" checked>
							<label class="custom-control-label" for="switch-4b"></label>
						</div>
					</div>
				</a>
				<a href="#" class="d-flex pb-2" data-trigger-switch="switch-1asd" data-toggle-theme>
					<div class="align-self-center">
						<h6 class="mb-0 font-12">Dark Mode</h6>
					</div>
					<div class="ms-auto align-self-center me-n2">
						<div class="form-switch ios-switch switch-green switch-s me-2">
							<input type="checkbox" data-toggle-theme class="ios-input" id="switch-1ads">
							<label class="custom-control-label" for="switch-1"></label>
						</div>
					</div>
				</a>
			</div>
		</div>-->
		<div class="w-100 px-3">
		<button type="submit" class="btn mb-4 btn-full btn-lg w-100 btn-margins gradient-blue shadow-bg shadow-bg-s rounded-s btn-m text-uppercase font-900">Guardar</button>
		</div>

    </div>
	</form>
	<!-- End of Page Content-->

</div>
<!--End of Page ID-->
@endsection