@extends('layouts.app')
@section('content')
<div id="page">
    @include('header')
    <!-- Your Page Content Goes Here-->
    <div class="page-content header-clear-medium">
		<form action="{{url($menu)}}" method="post" enctype="multipart/form-data">
			@csrf
			@include('msj')
			<div class="card card-style">
				<div class="content mb-0">
					<h6 class="font-700 mb-n1 color-highlight">Crear</h6>
					<h1 class="pb-2">Sub cuenta de invitado</h1>
					@if ($errors->any())
					<div class="alert alert-danger">
						<ul>
						@foreach ($errors->all() as $error)
							<li>{{ $error }}</li>
						@endforeach
						</ul>
					</div>
					@endif
					<div class="form-custom form-label form-icon mb-3">
						<i class="bi bi-person-circle font-14"></i>
						<input type="text" class="form-control rounded-xs" id="name" name="name" placeholder="Ingrese el nombre" value="{{ old('name') }}" required />
						<label for="name" class="color-theme form-label-always-active font-10 opacity-50">Nombre</label>
						<span>(Obligatorio)</span>
					</div>
					<div class="form-custom form-label form-icon mb-3">
						<i class="bi bi-mailbox font-14"></i>
						<input type="email" class="form-control rounded-xs" id="email" name="email" placeholder="Ingrese el correo" value="{{ old('email') }}" required />
						<label for="email" class="color-theme form-label-always-active font-10 opacity-50">Correo</label>
						<span>(Obligatorio)</span>
					</div>
				</div>
			</div>
			<div class="w-100 px-3"><button type="submit" class="btn mb-4 btn-full btn-lg w-100 btn-margins gradient-blue shadow-bg shadow-bg-s rounded-s btn-m text-uppercase font-900">Crear</button></div>
		</form>
    </div>
	<!-- End of Page Content-->
</div>
<!--End of Page ID-->
@endsection