@extends('layouts.app')
@section('content')
<div id="page">
    @include('header')
    <!-- Your Page Content Goes Here-->
    <div class="page-content header-clear-medium">
		<form action="{{url($menu)}}" method="post" enctype="multipart/form-data">
			@csrf
			@include('msj')
			<div class="card card-style">
				<div class="content mb-0">
					<h6 class="font-700 mb-n1 color-highlight">Crear</h6>
					<h1 class="pb-2">Ticket de soporte</h1>
					@if ($errors->any())
					<div class="alert alert-danger">
						<ul>
						@foreach ($errors->all() as $error)
							<li>{{ $error }}</li>
						@endforeach
						</ul>
					</div>
					@endif
					<div class="form-custom form-label form-icon mb-3">
						<i class="bi bi-person-circle font-14"></i>
						<input type="text" class="form-control rounded-xs" id="title" name="title" placeholder="Ingrese el asunto" value="{{ old('title') }}" required />
						<label for="title" class="color-theme form-label-always-active font-10 opacity-50">Asunto</label>
						<span>(Obligatorio)</span>
					</div>
					<div class="form-custom form-label form-icon mb-3">
						<i class="bi bi-person-circle font-14"></i>
						<textarea name="description" rows="4" class="form-control rounded-xs" id="description" placeholder="Ingrese el mensaje" required>{{ old('description') }}</textarea>
						<label for="description" class="color-theme form-label-always-active font-10 opacity-50">Asunto</label>
						<span>(Obligatorio)</span>
					</div>
					<div class="mb-3">
						<input type="file" class="form-control" id="file" name="file"/>
						<label for="file" class="color-theme form-label-always-active font-10 opacity-50">Archivo</label>
						<span>(Opcional)</span>
					</div>
				</div>
			</div>
			<div class="w-100 px-3"><button type="submit" class="btn mb-4 btn-full btn-lg w-100 btn-margins gradient-blue shadow-bg shadow-bg-s rounded-s btn-m text-uppercase font-900">Crear</button></div>
		</form>
    </div>
	<!-- End of Page Content-->
</div>
<!--End of Page ID-->
@endsection