@extends('layouts.app')
@section('content')
<div id="page">
    @include('header')
    <!-- Your Page Content Goes Here-->
    <div class="page-content header-clear-medium">
		@include('msj')
		<div class="card card-style">
			<div class="content mb-0">
				<h6 class="font-700 mb-n1 color-highlight">Ticket de soporte</h6>
				<h1 class="pb-2"><?= $o->title ?></h1>
			</div>
		</div>
		
		<?php if($o_all->count() > 0){ ?>
		<div class="card card-style">
			<div class="content mt-2 mx-2 px-1 pt-1">
				<?php $tag_file = 'file'; ?>
				<?php foreach($o_all as $key => $row){ ?>
				<?php if($key > 0){ ?><div class="divider my-3"></div><?php } ?>
				<div class="d-flex">
					<div class="align-self-center">
						<div>
							<?php $photo = $row->getUser()->photo; ?>
							<img src="<?= !empty($photo)?$photo:asset('images/pictures/23s.jpg') ?>" class="rounded-s" width="40">
							<i class="ri-checkbox-circle-fill color-blue-dark"></i>
						</div>
					</div>
					<div class="align-self-center">
						<h4 class="font-14 mb-n1 ps-3"><?= $row->title ?> <span class="opacity-40 font-400 font-12 px-1 d-inline-block"> <?= $row->getUser()->name ?></span></h4>
						<p class="ps-1 pb-1 mb-0 font-11 line-height-s opacity-80"><?= $row->description ?></p>
						<p class="mb-0 font-11 ps-3"><?= $row->date_init ?></p>
					</div>
				</div>
				<?php if(!empty($row->$tag_file)){ ?><img src="<?= $row->$tag_file ?>" class="img-fluid rounded-s mb-2"><?php } ?>
				<?php } ?>
			</div>
		</div>
		<?php } ?>
		
		<?php if($o->status != 'Finalizado'){ ?>
		<form action="{{url($menu.'/'.$o->id)}}" method="post" enctype="multipart/form-data">
			@csrf
			@include('msj')
			<div class="card card-style">
				<div class="content mb-0">
					<h6 class="font-700 mb-n1 color-highlight">Responder</h6>
					<h1 class="pb-2">Ticket de soporte</h1>
					
					@if ($errors->any())
					<div class="alert alert-danger">
						<ul>
						@foreach ($errors->all() as $error)
							<li>{{ $error }}</li>
						@endforeach
						</ul>
					</div>
					@endif
					<div class="form-custom form-label form-icon mb-3">
						<i class="bi bi-person-circle font-14"></i>
						<input type="text" class="form-control rounded-xs" id="title" name="title" placeholder="Ingrese el asunto" value="{{ old('title') }}" required />
						<label for="title" class="color-theme form-label-always-active font-10 opacity-50">Asunto</label>
						<span>(Obligatorio)</span>
					</div>
					<div class="form-custom form-label form-icon mb-3">
						<i class="bi bi-person-circle font-14"></i>
						<textarea name="description" rows="4" class="form-control rounded-xs" id="description" placeholder="Ingrese el mensaje" required>{{ old('description') }}</textarea>
						<label for="description" class="color-theme form-label-always-active font-10 opacity-50">Asunto</label>
						<span>(Obligatorio)</span>
					</div>
					<div class="mb-3">
						<input type="file" class="form-control" id="file" name="file"/>
						<label for="file" class="color-theme form-label-always-active font-10 opacity-50">Archivo</label>
						<span>(Opcional)</span>
					</div>
				</div>
			</div>
			<div class="w-100 px-3"><button type="submit" class="btn mb-4 btn-full btn-lg w-100 btn-margins gradient-blue shadow-bg shadow-bg-s rounded-s btn-m text-uppercase font-900">Responder</button></div>
		</form>
		<?php } ?>
		
    </div>
	<!-- End of Page Content-->
</div>
<!--End of Page ID-->
@endsection